# Generated by Django 4.2.1 on 2023-05-11 16:55

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('mailing', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('id', models.BigAutoField(auto_created=True,
                 primary_key=True, serialize=False, verbose_name='ID')),
                ('tag_name', models.CharField(max_length=50)),
            ],
        ),
        migrations.AlterField(
            model_name='client',
            name='phone_code',
            field=models.CharField(max_length=3, validators=[
                                   django.core.validators.RegexValidator('^[0-9]*$')]),
        ),
        migrations.AlterField(
            model_name='client',
            name='phone_number',
            field=models.CharField(max_length=10, validators=[
                                   django.core.validators.RegexValidator('^[0-9]*$')]),
        ),
        migrations.RemoveField(
            model_name='client',
            name='tag',
        ),
        migrations.AddField(
            model_name='client',
            name='tag',
            field=models.ManyToManyField(
                related_name='clients', to='mailing.tag'),
        ),
    ]
